ceph/bootstrap

33 lines
1.1 KiB
Bash
Executable File

#!/bin/sh
set -e
for package in python-dev python-pip python-virtualenv libevent-dev python-libvirt libmysqlclient-dev; do
if [ "$(dpkg --status -- $package|sed -n 's/^Status: //p')" != "install ok installed" ]; then
# add a space after old values
missing="${missing:+$missing }$package"
fi
done
if [ -n "$missing" ]; then
echo "$0: missing required packages, please install them:" 1>&2
echo "sudo apt-get install $missing"
exit 1
fi
if [ -z "$NO_CLOBBER" ] || [ ! -e ./virtualenv ]; then
# site packages needed because libvirt python bindings are not nicely
# packaged
virtualenv --system-site-packages --distribute virtualenv
# avoid pip bugs
./virtualenv/bin/pip install --upgrade pip
fi
./virtualenv/bin/pip install -r requirements.txt
# forbid setuptools from using the network because it'll try to use
# easy_install, and we really wanted pip; next line will fail if pip
# requirements.txt does not match setup.py requirements -- sucky but
# good enough for now
./virtualenv/bin/python setup.py develop \
--allow-hosts None